curl --request PUT \
--url https://api.axiom.co/v2/notifiers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production Slack Alerts",
"properties": {
"discord": {
"discordChannel": "123456789012345678",
"discordToken": "Bot 123456789012345678"
},
"discordWebhook": {
"discordWebhookUrl": "https://discord.com/api/webhooks/123456789012345678/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
},
"email": {
"emails": [
"oncall@example.com",
"alerts@example.com"
]
},
"microsoftTeams": {
"microsoftTeamsUrl": "https://outlook.office.com/webhook/123456789/IncomingWebhook/..."
},
"opsgenie": {
"apiKey": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"isEU": true
},
"pagerduty": {
"routingKey": "1234567890abcdef1234567890abcdef",
"token": "u+1234567890abcdef1234567890abcdef"
},
"slack": {
"slackUrl": "https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXXXXXXXXXX"
},
"webhook": {
"url": "https://api.example.com/webhooks/alerts"
}
},
"disabledUntil": "2024-03-20T15:00:00Z"
}
'import requests
url = "https://api.axiom.co/v2/notifiers/{id}"
payload = {
"name": "Production Slack Alerts",
"properties": {
"discord": {
"discordChannel": "123456789012345678",
"discordToken": "Bot 123456789012345678"
},
"discordWebhook": { "discordWebhookUrl": "https://discord.com/api/webhooks/123456789012345678/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX" },
"email": { "emails": ["oncall@example.com", "alerts@example.com"] },
"microsoftTeams": { "microsoftTeamsUrl": "https://outlook.office.com/webhook/123456789/IncomingWebhook/..." },
"opsgenie": {
"apiKey": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"isEU": True
},
"pagerduty": {
"routingKey": "1234567890abcdef1234567890abcdef",
"token": "u+1234567890abcdef1234567890abcdef"
},
"slack": { "slackUrl": "https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXXXXXXXXXX" },
"webhook": { "url": "https://api.example.com/webhooks/alerts" }
},
"disabledUntil": "2024-03-20T15:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Production Slack Alerts',
properties: {
discord: {discordChannel: '123456789012345678', discordToken: 'Bot 123456789012345678'},
discordWebhook: {
discordWebhookUrl: 'https://discord.com/api/webhooks/123456789012345678/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX'
},
email: {emails: ['oncall@example.com', 'alerts@example.com']},
microsoftTeams: {
microsoftTeamsUrl: 'https://outlook.office.com/webhook/123456789/IncomingWebhook/...'
},
opsgenie: {apiKey: 'xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx', isEU: true},
pagerduty: {
routingKey: '1234567890abcdef1234567890abcdef',
token: 'u+1234567890abcdef1234567890abcdef'
},
slack: {
slackUrl: 'https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXXXXXXXXXX'
},
webhook: {url: 'https://api.example.com/webhooks/alerts'}
},
disabledUntil: '2024-03-20T15:00:00Z'
})
};
fetch('https://api.axiom.co/v2/notifiers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Production Slack Alerts",
"properties": {
"customWebhook": {
"body": "{\"alert\": \"{{.AlertName}}\", \"severity\": \"{{.Severity}}\", \"message\": \"{{.Message}}\"}",
"url": "https://api.custom-service.com/alerts",
"headers": {
"Content-Type": "application/json",
"X-API-Version": "1.0"
},
"secretHeaders": {
"Authorization": "Bearer {{token}}"
}
},
"discord": {
"discordChannel": "123456789012345678",
"discordToken": "Bot 123456789012345678"
},
"discordWebhook": {
"discordWebhookUrl": "https://discord.com/api/webhooks/123456789012345678/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
},
"email": {
"emails": [
"oncall@example.com",
"alerts@example.com"
]
},
"microsoftTeams": {
"microsoftTeamsUrl": "https://outlook.office.com/webhook/123456789/IncomingWebhook/..."
},
"opsgenie": {
"apiKey": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"isEU": true
},
"pagerduty": {
"routingKey": "1234567890abcdef1234567890abcdef",
"token": "u+1234567890abcdef1234567890abcdef"
},
"slack": {
"slackUrl": "https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXXXXXXXXXX"
},
"webhook": {
"url": "https://api.example.com/webhooks/alerts"
}
},
"createdAt": "2024-01-15T10:30:00Z",
"createdBy": "alice@example.com",
"disabledUntil": "2024-03-20T15:00:00Z",
"id": "notify_slack_prod"
}Update notifier
Update notifier
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
Configuration for a notification channel. Notifiers can be configured for various services like:
- Slack
- PagerDuty
- OpsGenie
- Discord
- Microsoft Teams
- Custom Webhooks
Human-readable name for the notifier
"Production Slack Alerts"
Configuration options for different notification channels. Only one channel should be configured per notifier.
Show child attributes
Show child attributes
ISO timestamp until which the notifier is disabled (null if enabled)
"2024-03-20T15:00:00Z"
Response
Notifier
Notifier configuration with its unique identifier
Human-readable name for the notifier
"Production Slack Alerts"
Configuration options for different notification channels. Only one channel should be configured per notifier.
Show child attributes
Show child attributes
Timestamp when the notifier was created
"2024-01-15T10:30:00Z"
Email or ID of the user who created the notifier
"alice@example.com"
ISO timestamp until which the notifier is disabled (null if enabled)
"2024-03-20T15:00:00Z"
Unique identifier for the notifier
"notify_slack_prod"
Was this page helpful?